Package org.eclipse.mat.hprof.describer

## Class HprofGZIPContentDescriber

- java.lang.Object
- - org.eclipse.mat.hprof.describer.HprofGZIPContentDescriber

All Implemented Interfaces:
  `IContentDescriber`

    public class HprofGZIPContentDescriber
    extends java.lang.Object
    implements IContentDescriber

### Field Summary

### Fields inherited from interface org.eclipse.core.runtime.content.IContentDescriber

`INDETERMINATE, INVALID, VALID`

### Constructor Summary

Constructors
`HprofGZIPContentDescriber()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `describe​(java.io.InputStream contents, IContentDescription description)`
`QualifiedName[]` `getSupportedOptions()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HprofGZIPContentDescriber

    public HprofGZIPContentDescriber()

### Method Detail

#### describe

    public int describe​(java.io.InputStream contents,
                        IContentDescription description)
                 throws java.io.IOException

Specified by:
  `describe` in interface `IContentDescriber`
Throws:
  `java.io.IOException`

#### getSupportedOptions

    public QualifiedName[] getSupportedOptions()

Specified by:
  `getSupportedOptions` in interface `IContentDescriber`